Subject: bug#24175: artist mode rectangle shows ugly in Emacs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Apr 2018 21:18:37 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Dean Chen <[email-masked]>,  [email-masked]
> Date: Mon, 16 Apr 2018 01:15:15 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Dean Chen <[email-masked]>
> >> Date: Sun, 7 Aug 2016 13:22:12 +0800
> >> 
> >> I am trying draw rectangle today in Emacs with artist mode. It looks weird, see following screenshot.
> >> Inline image 1
> >> 
> >> But if I open this text file with chromium browser instead of emacs, it looks normally. I guess the way that
> >> Emacs render this rectangle has a bug.
> >
> > I think the problem is that your default font is a proportional one.
> > You should use a fixed-pitch font when you work with artist mode.
> 
> Should artist-mode perhaps error out if the default font is a
> proportional font?

Not sure about erroring out, but a warning might be a good idea.